Package net.shibboleth.shared.xml.impl

# Class ThrowingEntityResolver

java.lang.Object
net.shibboleth.shared.xml.impl.ThrowingEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class ThrowingEntityResolver extends Object implements EntityResolver
An implementation of `EntityResolver` that always throws an exception.

## Constructor Summary

Constructors
Constructor
Description
`ThrowingEntityResolver()`

## Method Summary

Modifier and Type
Method
Description
`InputSource`
`resolveEntity(String publicId, String systemId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThrowingEntityResolver

public ThrowingEntityResolver()

## Method Details

### resolveEntity

@Nullable public InputSource resolveEntity(@Nullable String publicId, @Nullable String systemId) throws SAXException, IOException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Throws:
  `SAXException`
  `IOException`